// dllmain.cpp : 定义 DLL 应用程序的入口点。
#include "stdafx.h"

extern "C"
{
    // CALLBACK
    __declspec(dllexport) void Foo(HWND hWindow, HINSTANCE hInstance, LPSTR lpszCommandLine, int nCmdShow)
    {
        if (strlen(lpszCommandLine) != 0)
        {
            ::MessageBoxA(hWindow, lpszCommandLine, "我是标题", MB_OK);
        }
        else
        {
            ::MessageBoxA(hWindow, "lpszCommandLine is NULL", "我是标题", MB_OK);
        }
    }
}


BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
                     )
{
    switch (ul_reason_for_call)
    {
    case DLL_PROCESS_ATTACH:
    case DLL_THREAD_ATTACH:
    case DLL_THREAD_DETACH:
    case DLL_PROCESS_DETACH:
        break;
    }
    return TRUE;
}

